package com.qmth.distributed.print.business.bean.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.entity.ExamStudent;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考生科目 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/5/14
 */
public class ExamStudentCourseDto extends ExamStudent {

    @ApiModelProperty(value = "科目编码")
    private String courseCode;

    @ApiModelProperty(value = "科目名称")
    private String courseName;

    @ApiModelProperty(value = "A3数量")
    private Integer paperPageA3;

    @ApiModelProperty("试卷编号")
    private String paperNumber;

    @ApiModelProperty("任课老师")
    private String teacherName;

    @ApiModelProperty("任课老师工号")
    private String teacherNumber;

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getPaperPageA3() {
        return paperPageA3;
    }

    public void setPaperPageA3(Integer paperPageA3) {
        this.paperPageA3 = paperPageA3;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherNumber() {
        return teacherNumber;
    }

    public void setTeacherNumber(String teacherNumber) {
        this.teacherNumber = teacherNumber;
    }
}
